Package org.eclipse.net4j.util.ref

## Class Interner.Entry<E>

- java.lang.Object
- - java.lang.ref.Reference<T>
  - - java.lang.ref.WeakReference<E>
    - - org.eclipse.net4j.util.ref.Interner.Entry<E>

- Enclosing class:
    Interner<E>

      protected static class Interner.Entry<E>
      extends java.lang.ref.WeakReference<E>

  A weak reference holder that caches the hash code of the referent and is chained in the `Interner.entries` to handle collisions.
  Author:
    Ed Merks

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `hashCode` |
    `Interner.Entry<E>` | `next` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Entry​(E object, int hashCode, java.lang.ref.ReferenceQueue<? super E> queue)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Interner.Entry<E>` | `getNextEntry()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.ref.Reference

      `clear, clone, enqueue, get, isEnqueued, reachabilityFence`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### hashCode

          public final int hashCode

    - #### next

          public Interner.Entry<E> next

  - ### Constructor Detail

    - #### Entry

          public Entry​(E object,
                       int hashCode,
                       java.lang.ref.ReferenceQueue<? super E> queue)

  - ### Method Detail

    - #### getNextEntry

          public Interner.Entry<E> getNextEntry()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`